Main Page Class Hierarchy Compound List File List Compound Members File Members

# fft_prep.c File Reference

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fft_prep.h>`
`#include <fft99.h>`
`#include <earthworm.h>`

Go to the source code of this file.

## Functions
int | makeTrigs (FACT *this)
void | fftPrepDebug (int level)
long | buildFacList (long new_nfft)
long | prepFFT (long n, FACT **pf)
void | printFacList ()
void | trimFacList (long n)
## Variables
long | last_nfft = 1
FACT * | fft_list = (FACT *)NULL
int | prime [3] = {2, 3, 5}
int | Debug = 0

## Function Documentation

long buildFacList | ( | long | new_nfft | ) |

| Definition at line 56 of file fft_prep.c. References Debug, _FACT::fact_power, fft_list, last_nfft, logit(), N_RADIX, _FACT::next, _FACT::nfft, prime, and printFacList(). Referenced by prepFFT().

void fftPrepDebug | ( | int | level | ) |

| Definition at line 37 of file fft_prep.c. References Debug.

int makeTrigs | ( | FACT * | this | ) | `[static]`

| Definition at line 237 of file fft_prep.c. References fftfax(), _FACT::ifax, _FACT::nfft, and _FACT::trigs. Referenced by prepFFT().

long prepFFT | ( | long | n,
|  | FACT ** | pf
| ) |

| Definition at line 169 of file fft_prep.c. References buildFacList(), fft_list, last_nfft, and makeTrigs(). Referenced by convertWave(), gma(), and respLen().

void printFacList | ( |  | ) |

| Definition at line 198 of file fft_prep.c. References fft_list, and logit(). Referenced by buildFacList().

void trimFacList | ( | long | n | ) |

| Definition at line 214 of file fft_prep.c. References fft_list, and last_nfft.

## Variable Documentation

int Debug = 0`[static]`

| Definition at line 28 of file fft_prep.c. Referenced by buildFacList(), and fftPrepDebug().

FACT* fft_list = (FACT *)NULL`[static]`

| Definition at line 26 of file fft_prep.c. Referenced by buildFacList(), prepFFT(), printFacList(), and trimFacList().

long last_nfft = 1`[static]`

| Definition at line 25 of file fft_prep.c. Referenced by buildFacList(), prepFFT(), and trimFacList().

int prime[3] = {2, 3, 5}`[static]`

| Definition at line 27 of file fft_prep.c. Referenced by buildFacList().